You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     ash...@freebsd.org
Last committer: ash...@freebsd.org
Ident:          $FreeBSD: head/lang/rubinius/Makefile 378686 2015-02-08 
21:26:13Z ashish $
Log URL:        
http://beefy5.nyi.freebsd.org/data/101i386-default/403437/logs/rubinius-2.5.2.log
Build URL:      
http://beefy5.nyi.freebsd.org/build.html?mastername=101i386-default&build=403437
Log:

====>> Building lang/rubinius
build started at Thu Dec 10 09:45:59 UTC 2015
port directory: /usr/ports/lang/rubinius
building for: FreeBSD 101i386-default-job-04 10.1-RELEASE-p25 FreeBSD 
10.1-RELEASE-p25 i386
maintained by: ash...@freebsd.org
Makefile ident:      $FreeBSD: head/lang/rubinius/Makefile 378686 2015-02-08 
21:26:13Z ashish $
Poudriere version: 3.1.10
Host OSVERSION: 1100085
Jail OSVERSION: 1001000

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1001000
UNAME_v=FreeBSD 10.1-RELEASE-p25
UNAME_r=10.1-RELEASE-p25
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/101i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=rubinius-2.5.2
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/101i386-default/ref/.p/pool
MASTERNAME=101i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
-P "/usr/local"  -I "/usr/local/include/rubinius"  -L 
"/usr/local/lib/ruby/rubinius"  -G "/usr/local/lib/ruby/gems/rubinius"  -B 
"/usr/local/bin"  -M "/usr/local/man"  --cc cc  --cxx c++  --no-bin-links  
--llvm-config /usr/local/bin/llvm-config35  --with-fibers --without-dtrace 
--release-build  --sitedir "/usr/local/lib/ruby/site_ruby/rubinius"  
--vendordir "/usr/local/lib/ruby/vendor_ruby/rubinius"  --stagingdir 
"/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local" --with-execinfo  
--system-name FreeBSD
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl 
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/lang/rubinius/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/lang/rubinius/work  
HOME=/wrkdirs/usr/ports/lang/rubinius/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
HOME=/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2 
GEM_PATH=/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/gems/ruby/2.1 
LANG=en_US.UTF-8 OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl OPENSSLINC=/usr/include 
OPENSSLLIB=/usr/lib XDG_DATA_HOME=/wrkdirs/usr/ports/lang/rubinius/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/lang/rubinius/work  
HOME=/wrkdirs/usr/ports/lang/rubinius/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -DNO_IDEA -fstack-protector 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS="  -fstack-protector" 
LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -DNO_IDEA -fstack-protector 
-fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
FREEBSD_DIR=x86-freebsd-10
RUBY_LIBDIR="lib/ruby/2.1"
RUBY_ARCHLIBDIR="lib/ruby/2.1/i386-freebsd10"
RUBY_SITELIBDIR="lib/ruby/site_ruby/2.1"
RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.1/i386-freebsd10"
RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.1"
RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.1/i386-freebsd10"
RUBY_MODDOCDIR="share/doc/ruby21/rubinius"
RUBY_MODEXAMPLESDIR="share/examples/ruby21/rubinius"
RUBY_DOCDIR="share/doc/ruby21"
RUBY_EXAMPLESDIR="share/examples/ruby21"
RUBY_RIDIR="share/ri/2.1/system"
RUBY_SITERIDIR="share/ri/2.1/site"
RUBY_ELISPDIR="lib/ruby/elisp"
RUBY_VERSION="2.1.7"
RUBY_VER="2.1"
RUBY_SHLIBVER="21"
RUBY_ARCH="i386-freebsd10"
RUBY_SUFFIX="21"
RUBY_NAME="ruby21"
RUBY_DEFAULT_SUFFIX="21"
RUBY20="@comment
"
RUBY21=""
RUBY22="@comment
"
RUBY_RD_HTML_FILES="@comment
"
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.20.3
PERL_VER=5.20
PERL5_MAN1=lib/perl5/site_perl/man/man1
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.20
DOCSDIR="share/doc/rubinius"
EXAMPLESDIR="share/examples/rubinius"
DATADIR="share/rubinius"
WWWDIR="www/rubinius"
ETCDIR="etc/rubinius"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/rubinius
DOCSDIR=/usr/local/share/doc/rubinius
EXAMPLESDIR=/usr/local/share/examples/rubinius
WWWDIR=/usr/local/www/rubinius
ETCDIR=/usr/local/etc/rubinius
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License BSD3CLAUSE accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubinius-2.5.2 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[101i386-default-job-04] Installing pkg-1.6.2...
[101i386-default-job-04] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   rubinius-2.5.2 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubinius-2.5.2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by rubinius-2.5.2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by rubinius-2.5.2 for building
=> SHA256 Checksum OK for rubinius-2.5.2.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubinius-2.5.2 depends on file: /usr/local/bin/ruby21 - not found
===>   Installing existing package /packages/All/ruby-2.1.7,1.txz
[101i386-default-job-04] Installing ruby-2.1.7,1...
[101i386-default-job-04] `-- Installing libffi-3.2.1...
[101i386-default-job-04] |   `-- Installing indexinfo-0.2.4...
[101i386-default-job-04] |   `-- Extracting indexinfo-0.2.4: .... done
[101i386-default-job-04] `-- Extracting libffi-3.2.1: .......... done
[101i386-default-job-04] `-- Installing libyaml-0.1.6_2...
[101i386-default-job-04] `-- Extracting libyaml-0.1.6_2: ......... done
[101i386-default-job-04] `-- Installing libedit-3.1.20150325_1...
[101i386-default-job-04] `-- Extracting libedit-3.1.20150325_1: .......... done
[101i386-default-job-04] Extracting ruby-2.1.7,1: .......... done
Message from ruby-2.1.7,1:
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

        devel/ruby-gems:        gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

        databases/ruby-gdbm:    GDBM module

Install them as occasion demands.
====
===>   rubinius-2.5.2 depends on file: /usr/local/bin/ruby21 - found
===>   Returning to build of rubinius-2.5.2
===========================================================================
=======================<phase: extract        >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by rubinius-2.5.2 for building
===>  Extracting for rubinius-2.5.2
=> SHA256 Checksum OK for rubinius-2.5.2.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubinius-2.5.2 depends on file: /usr/local/bin/ruby21 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubinius-2.5.2
===>  Applying FreeBSD patches for rubinius-2.5.2
===========================================================================
=======================<phase: build-depends  >============================
===>   rubinius-2.5.2 depends on file: /usr/local/bin/bundle - not found
===>   Installing existing package /packages/All/rubygem-bundler-1.10.6.txz
[101i386-default-job-04] Installing rubygem-bundler-1.10.6...
<snip>
checking for OPENSSL_NPN_NEGOTIATED in openssl/ssl.h... yes
checking for SSL_set_tlsext_host_name() in openssl/ssl.h... no
checking for SSL_set_tlsext_host_name in openssl/ssl.h... yes
checking for openssl/engine.h... yes
checking for ENGINE_add()... yes
checking for ENGINE_load_builtin_engines()... yes
checking for ENGINE_load_openbsd_dev_crypto()... no
checking for ENGINE_get_digest()... yes
checking for ENGINE_get_cipher()... yes
checking for ENGINE_cleanup()... yes
checking for ENGINE_load_dynamic()... yes
checking for ENGINE_load_4758cca()... no
checking for ENGINE_load_aep()... no
checking for ENGINE_load_atalla()... no
checking for ENGINE_load_chil()... no
checking for ENGINE_load_cswift()... no
checking for ENGINE_load_nuron()... no
checking for ENGINE_load_sureware()... no
checking for ENGINE_load_ubsec()... no
checking for ENGINE_load_padlock()... no
checking for ENGINE_load_capi()... no
checking for ENGINE_load_gmp()... no
checking for ENGINE_load_gost()... no
checking for ENGINE_load_cryptodev()... yes
checking for ENGINE_load_aesni()... no
checking for DH_generate_parameters_ex()... yes
checking for DSA_generate_parameters_ex()... yes
checking for RSA_generate_key_ex()... yes
checking for OpenSSL version is 0.9.7 or later... yes
checking for openssl/ocsp.h... yes
checking for CRYPTO_THREADID.ptr in openssl/crypto.h... yes
checking for EVP_CIPHER_CTX.flags in openssl/evp.h... yes
checking for EVP_CIPHER_CTX.engine in openssl/evp.h... yes
checking for X509_ATTRIBUTE.single in openssl/x509.h... yes
checking for OPENSSL_FIPS in openssl/opensslconf.h... no
checking for EVP_CTRL_GCM_GET_TAG in openssl/evp.h... yes
creating extconf.h
creating Makefile
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/bootstrap/gems/rubysl-openssl-2.2.1/ext/rubysl/openssl'
compiling ossl_rand.c
compiling ossl_ssl.c
compiling ossl_pkey_ec.c
compiling ossl_x509crl.c
compiling ossl_config.c
compiling ossl_digest.c
compiling ossl_pkey_rsa.c
compiling ossl_x509.c
compiling ossl_engine.c
compiling ossl_x509ext.c
compiling ossl_ssl_session.c
compiling ossl_ocsp.c
compiling ossl_x509cert.c
compiling ossl_x509store.c
compiling ossl_x509attr.c
compiling ossl_asn1.c
compiling openssl_missing.c
compiling ossl_bn.c
compiling ossl_cipher.c
compiling ossl_pkcs12.c
compiling ossl_pkey_dh.c
compiling ossl.c
compiling ossl_pkcs7.c
compiling ossl_pkcs5.c
compiling ossl_ns_spki.c
compiling ossl_pkey_dsa.c
compiling ossl_x509name.c
compiling ossl_hmac.c
compiling ossl_x509req.c
compiling ossl_bio.c
compiling ossl_pkey.c
compiling ossl_x509revoked.c
linking shared-object openssl/openssl.so
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/bootstrap/gems/rubysl-openssl-2.2.1/ext/rubysl/openssl'
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/bin/rbx extconf.rb
Building 
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/bootstrap/gems/rubysl-zlib-2.0.1...
checking for deflateReset() in -lz... yes
checking for zlib.h... yes
checking for crc32_combine() in zlib.h... yes
checking for adler32_combine() in zlib.h... yes
checking for z_crc_t in zlib.h... yes
creating Makefile
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/bootstrap/gems/rubysl-zlib-2.0.1/ext/rubysl/zlib'
compiling zlib.c
zlib.c:638:23: warning: expression result unused [-Wunused-value]
            rb_obj_reveal(z->buf, rb_cString);
                          ~  ^~~
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/include/rubinius/ruby/ruby.h:2142:35:
 note: expanded from macro 'rb_obj_reveal'
#define rb_obj_reveal(obj, klass) obj
                                  ^
zlib.c:683:17: warning: expression result unused [-Wunused-value]
        rb_obj_hide(z->buf);
                    ~  ^~~
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/include/rubinius/ruby/ruby.h:2141:26:
 note: expanded from macro 'rb_obj_hide'
#define rb_obj_hide(obj) obj
                         ^
zlib.c:712:17: warning: expression result unused [-Wunused-value]
        rb_obj_hide(z->buf);
                    ~  ^~~
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/include/rubinius/ruby/ruby.h:2141:26:
 note: expanded from macro 'rb_obj_hide'
#define rb_obj_hide(obj) obj
                         ^
zlib.c:754:16: warning: expression result unused [-Wunused-value]
        rb_obj_reveal(dst, rb_cString);
                      ^~~
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/include/rubinius/ruby/ruby.h:2142:35:
 note: expanded from macro 'rb_obj_reveal'
#define rb_obj_reveal(obj, klass) obj
                                  ^
zlib.c:783:19: warning: expression result unused [-Wunused-value]
    rb_obj_reveal(dst, rb_cString);
                  ^~~
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/include/rubinius/ruby/ruby.h:2142:35:
 note: expanded from macro 'rb_obj_reveal'
#define rb_obj_reveal(obj, klass) obj
                                  ^
zlib.c:838:17: warning: expression result unused [-Wunused-value]
        rb_obj_hide(z->input);
                    ~  ^~~~~
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/include/rubinius/ruby/ruby.h:2141:26:
 note: expanded from macro 'rb_obj_hide'
#define rb_obj_hide(obj) obj
                         ^
zlib.c:887:16: warning: expression result unused [-Wunused-value]
        rb_obj_reveal(dst, rb_cString);
                      ^~~
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/include/rubinius/ruby/ruby.h:2142:35:
 note: expanded from macro 'rb_obj_reveal'
#define rb_obj_reveal(obj, klass) obj
                                  ^
zlib.c:890:19: warning: expression result unused [-Wunused-value]
    rb_obj_reveal(dst, rb_cString);
                  ^~~
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/include/rubinius/ruby/ruby.h:2142:35:
 note: expanded from macro 'rb_obj_reveal'
#define rb_obj_reveal(obj, klass) obj
                                  ^
8 warnings generated.
linking shared-object zlib/zlib.so
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/bootstrap/gems/rubysl-zlib-2.0.1/ext/rubysl/zlib'
/wrkdirs/usr/ports/lang/rubinius/work/stage/usr/local/bin/rbx 
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/rakelib/preinstall_gems.rb
Pre-installing gems for 2.1.0...
Installed bundler (1.7.12)
Installed daedalus-core (0.2.0)
Installed ffi2-generators (0.1.1)
Building native extensions.  This could take a while...
Installed json (1.8.2)
Installed minitest (4.7.5)
Building native extensions.  This could take a while...
Installed psych (2.0.10)
Building native extensions.  This could take a while...
Installed racc (1.4.12)
Installed rake (10.4.2)
Depending on your version of ruby, you may need to install ruby rdoc/ri data:

<= 1.8.6 : unsupported
 = 1.8.7 : gem install rdoc-data; rdoc-data --install
 = 1.9.1 : gem install rdoc-data; rdoc-data --install
>= 1.9.2 : nothing to do! Yay!
Installed rdoc (4.2.0)
Installed redcard (1.1.0)
Installed rubinius-ast (2.3.1)
Installed rubinius-build_tools (2.0.0)
Installed rubinius-compiler (2.3.1)
Building native extensions.  This could take a while...
Installed rubinius-coverage (2.0.3)
Installed rubinius-debugger (2.2.0)
Installed rubinius-developer_tools (2.0.0)
Building native extensions.  This could take a while...
Installed rubinius-melbourne (2.3.1.0)
Installed rubinius-processor (2.3.0)
Building native extensions.  This could take a while...
Installed rubinius-profiler (2.0.1)
Installed rubinius-toolset (2.3.1)
Installed rubysl (2.1.0)
Installed rubysl-abbrev (2.0.4)
Installed rubysl-base64 (2.0.0)
Installed rubysl-benchmark (2.0.1)
Building native extensions.  This could take a while...
Installed rubysl-bigdecimal (2.0.2)
Installed rubysl-cgi (2.0.1)
Installed rubysl-cgi-session (2.0.1)
Installed rubysl-cmath (2.0.0)
Installed rubysl-complex (2.0.0)
Installed rubysl-continuation (2.0.0)
Installed rubysl-coverage (2.0.3)
Installed rubysl-csv (2.0.2)
Building native extensions.  This could take a while...
Installed rubysl-curses (2.0.1)
Installed rubysl-date (2.0.9)
Installed rubysl-delegate (2.0.1)
Building native extensions.  This could take a while...
An exception occurred running 
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/rakelib/preinstall_gems.rb:

rake aborted!
Command failed with status (): [/wrkdirs/usr/ports/lang/rubinius/work/stag...]
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/rakelib/gems.rake:5:in 
`bootstrap_rubinius'
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/rakelib/gems.rake:40:in 
`block (3 levels) in <top (required)>'
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/rakelib/gems.rake:39:in 
`chdir'
/wrkdirs/usr/ports/lang/rubinius/work/rubinius-2.5.2/rakelib/gems.rake:39:in 
`block (2 levels) in <top (required)>'
Tasks: TOP => build => gems:install
(See full trace by running task with --trace)
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/rubinius
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to